require 'amsi/error/invalid_response'

module Amsi
  class AttributeParser
    # Base class for attribute parsers.
    class Base
      # @param value [String] the response value from AMSI
      def initialize(value, timezone = nil)
        @value = value
        @timezone = timezone
      end

      # @return [Object] the parsed attribute value
      def parse
        raise NotImplementedError,
              "#{self.class.name} must implement #{__method__}"
      end

      private

      attr_reader :value, :timezone
    end
  end
end
