require_relative 'base'

module Amsi
  module Error
    # Raised when an AMSI request has an error node in the contents. This
    # generally happens when one of the parameters in a section other than the
    # auth section is invalid.
    class BadRequest < Base
      attr_reader :errors

      # @param errors [Object] object must respond to message
      def initialize(errors)
        super(errors.map(&:message).join('; '))
        @errors = errors
      end
    end
  end
end
