require_relative 'base'

module Amsi
  module Error
    # Raised when a AMSI request has a fault node, which general appears
    # when there is an issue with the auth section in the request (e.g.
    # invalid password)
    class RequestFault < Base
      attr_reader :fault_code, :details

      def initialize(message, fault_code, details = nil)
        super(message)
        @fault_code = fault_code
        @details = details
      end
    end
  end
end
