require_relative 'attribute'

module Amsi
  module Model
    class Base
      # Hold attributes defined with the DSL in Models
      class AttributeStore
        def initialize(model_class)
          @model_class = model_class
          @attributes = []
        end

        # Add all attributes of the same type to the AttributeStore
        def add(type, attrs)
          attrs.map do |attr|
            attribute = Attribute.new(prefix: prefix, type: type, name: attr)
            @attributes << attribute
            attribute
          end
        end

        # Find a specific attribute with the given name
        def find(attr)
          attributes.detect { |attribute| attribute.matches?(attr) }
        end

        private

        attr_reader :attributes, :model_class

        def prefix
          ''
        end
      end
    end
  end
end
