require_relative 'base'

module Amsi
  module Model
    class Property < Base
      date_attrs :live_date

      string_attrs(*%i[
                     property_id
                     property_name_1
                     property_name_2
                     property_addr_email
                     live_flag
                   ])

      attr_accessor(*%i[
                      address
                      leasing_agents
                      manager
                      marketing_sources
                      remit_to_address
                      unit_types
                    ])

      alias email property_addr_email
      alias id property_id
      alias name property_name_1
      alias name_2 property_name_2

      def live?
        live_flag == 'Y'
      end
    end
  end
end
