require_relative 'base'

module Amsi
  module Model
    class UnitType < Base
      decimal_attrs(*%i[
                      baths
                      market_rent
                      sec_min
                      standard_renew
                      mtm_renew
                      other_renew
                    ])

      integer_attrs(*%i[
                      bedrooms
                      rooms
                      sqftg
                      unit_type_count
                    ])

      string_attrs(*%i[
                     property_id
                     unit_subtype
                     unit_type
                     unit_type_desc
                   ])

      alias count unit_type_count
      alias description unit_type_desc
      alias minimum_security_deposit sec_min
      alias month_to_month_renew mtm_renew
      alias sqft sqftg
      alias subtype unit_subtype
      alias type unit_type
    end
  end
end
