module Amsi
  module RequestSection
    # Generate the auth elements of an AMSI request
    class Auth
      def initialize(user_id:, password:, portfolio_name:)
        @user_id = user_id
        @password = password
        @portfolio_name = portfolio_name
      end

      def generate(xml_builder)
        xml_builder.UserID user_id
        xml_builder.Password password
        xml_builder.PortfolioName portfolio_name
      end

      private

      attr_reader :user_id, :password, :portfolio_name
    end
  end
end
