module Amsi
  module RequestSection
    # Generate the move in filter elements of an Amsi request
    class MoveinsFilter
      def initialize(
        property_id:,
        marketing_source_code:,
        from_date:,
        through_date:
      )
        @property_id = property_id
        @marketing_source_code = marketing_source_code
        @from_date = from_date
        @through_date = through_date
      end

      def generate(xml_builder)
        xml_builder.XMLData do |xml_data|
          xml_data.cdata edex.to_s
        end
      end

      private

      def edex
        Nokogiri::XML::Builder.new do |xml_builder|
          xml_builder.EDEX do |edex|
            edex.propertyid(property_id)
            edex.marketingsourcecode(marketing_source_code)
            edex.fromdate(from_date.to_s)
            edex.thrudate(through_date.to_s)
          end
        end.doc.root
      end

      attr_reader :from_date,
                  :marketing_source_code,
                  :property_id,
                  :through_date
    end
  end
end
